Subject: bug#33550: [PATCH] mention let* in if-let

From: Michael Heerdegen <[email-masked]>
Date: Thu, 18 Apr 2019 05:44:54 +0200

Noam Postavsky <[email-masked]> writes:

> I think it's a bit ambiguous, it could refer to the fact that each
> VALUEFORM is evaluted sequentially.  It's not entirely obvious that
> previous SYMBOL bindings are available to follow VALUEFORMs, as in let*
> rather than let

Yes, true.

> (which would be the more obvious choice for if-let as opposed to
> if-let*).

if-let mainly exists for backward compatibility (to support the "SPEC of
the form (SYMBOL SOMETHING)" case).  I don't recall why we didn't
obsolete it when we added if-let*, but AFAIR the special case had been
quite widely used.  Anyway, I think we should not change it.

Michael.